using System;

class Program
{
    static void Main()
    {
        string[] firstInput = Console.ReadLine().Split();
        int numberOfStalactites = int.Parse(firstInput[0]);
        int pericaHeight = int.Parse(firstInput[1]);

        string[] heights = Console.ReadLine().Split();
        int[] stalactiteHeights = Array.ConvertAll(heights, int.Parse);

        for (int i = 0; i < numberOfStalactites; i++)
        {
            if (stalactiteHeights[i] <= pericaHeight)
            {
                Console.WriteLine(i + 1);
                return;
            }
        }

        Console.WriteLine(-1);
    }
}